繁花嗅django教程数据库配置 出现的问题?(社长。。这样发帖?可是怎么贴图啊。。。)

看了社长大大的视频之后,觉得跟着视频一步步实行学习的方法很好,所以一直看到了第三个关于django数据库配置的视频,之前也有遇到一些麻烦,后来自己反复实行也都解决了,今天看到了这个数据库的配置,结果cmd命令行出现了以下问题。

之后,细细地读了一些出现的问题描述,大致知道是关于psgcopg的版本或者是models问题。由于对这些东西了解才刚开始,不是很懂,后来又卸载了数据库,结果还是出现同样的问题。

所以还请社长大大以及路过的朋友了解的能够指点一二。

以下为cmd命令行描述:

(hunter) C:\Users\Hunter\hunter\first>manage.py migrate
Traceback (most recent call last):
File "C:\Users\Hunter\hunter\lib\site-packages\django\db\backends\postgresql\b
ase.py", line 20, in <module>
import psycopg2 as Database
File "C:\Users\Hunter\hunter\lib\site-packages\psycopg2-2.6.2-py3.5-win32.egg\
psycopg2\__init__.py", line 50, in <module>
from psycopg2._psycopg import BINARY, NUMBER, STRING, DATETIME, ROWID
ImportError: No module named 'psycopg2._psycopg'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\Users\Hunter\hunter\first\manage.py", line 22, in <module>
execute_from_command_line(sys.argv)
File "C:\Users\Hunter\hunter\lib\site-packages\django\core\management\__init__
.py", line 367, in execute_from_command_line
utility.execute()
File "C:\Users\Hunter\hunter\lib\site-packages\django\core\management\__init__
.py", line 341, in execute
django.setup()
File "C:\Users\Hunter\hunter\lib\site-packages\django\__init__.py", line 27, i
n setup
apps.populate(settings.INSTALLED_APPS)
File "C:\Users\Hunter\hunter\lib\site-packages\django\apps\registry.py", line
108, in populate
app_config.import_models(all_models)
File "C:\Users\Hunter\hunter\lib\site-packages\django\apps\config.py", line 19
9, in import_models
self.models_module = import_module(models_module_name)
File "c:\python\lib\importlib\__init__.py", line 126, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File "<frozen importlib._bootstrap>", line 986, in _gcd_import
File "<frozen importlib._bootstrap>", line 969, in _find_and_load
File "<frozen importlib._bootstrap>", line 958, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 673, in _load_unlocked
File "<frozen importlib._bootstrap_external>", line 665, in exec_module
File "<frozen importlib._bootstrap>", line 222, in _call_with_frames_removed
File "C:\Users\Hunter\hunter\lib\site-packages\django\contrib\auth\models.py",
line 4, in <module>
from django.contrib.auth.base_user import AbstractBaseUser, BaseUserManager
File "C:\Users\Hunter\hunter\lib\site-packages\django\contrib\auth\base_user.p
y", line 52, in <module>
class AbstractBaseUser(models.Model):
File "C:\Users\Hunter\hunter\lib\site-packages\django\db\models\base.py", line
119, in __new__
new_class.add_to_class('_meta', Options(meta, app_label))
File "C:\Users\Hunter\hunter\lib\site-packages\django\db\models\base.py", line
316, in add_to_class
value.contribute_to_class(cls, name)
File "C:\Users\Hunter\hunter\lib\site-packages\django\db\models\options.py", l
ine 214, in contribute_to_class
self.db_table = truncate_name(self.db_table, connection.ops.max_name_length(
))
File "C:\Users\Hunter\hunter\lib\site-packages\django\db\__init__.py", line 33
, in __getattr__
return getattr(connections[DEFAULT_DB_ALIAS], item)
File "C:\Users\Hunter\hunter\lib\site-packages\django\db\utils.py", line 211,
in __getitem__
backend = load_backend(db['ENGINE'])
File "C:\Users\Hunter\hunter\lib\site-packages\django\db\utils.py", line 115,
in load_backend
return import_module('%s.base' % backend_name)
File "c:\python\lib\importlib\__init__.py", line 126, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File "C:\Users\Hunter\hunter\lib\site-packages\django\db\backends\postgresql\b
ase.py", line 24, in <module>
raise ImproperlyConfigured("Error loading psycopg2 module: %s" % e)
django.core.exceptions.ImproperlyConfigured: Error loading psycopg2 module: No m
odule named 'psycopg2._psycopg'

 

2016十二月04号 19:52:15 江湖中人重新编辑了文章
涨见识0 涨水分0

** 文章讲述的内容可能你不赞同,不喜欢,但如果觉得观点新颖,内容独到,提高了你的知识面,帮你了解了你不懂的知识和知道了突发的新闻,这样的贴,希望能点涨见识,相反,到处转载,内容无聊,雷同,毫无建树,请点涨水分!

我要评论

提交评论
每个人都有自己的看法,登录以后马上发表。还没有账号?点击这里马上注册一个账号。

当前有6条评论

  • 江湖中人 :2016十二月03号 17:00:35
    我说的是你Error loading psycopg2 module 这个模块,要在虚拟环境下用pip install 来安装。明显报错已经告诉你了,在当前环境下,没有找到psycopg2 这个模块。Error loading psycopg2 module: No m
    odule named 'psycopg2._psycopg'。你应该从这个方向去找原因。要么你没装在虚拟环境下,要么你版本安装的不对。
    0 0 回复 举报
  • 江湖中人 :2016十二月03号 12:25:37
    数据库的psycopg2模块问题,我在这集教程里面讲的应该比较详细。几个要注意的地方再讲一下。找对跟你电脑里面安装的python对应的版本安装。再就是注意要安装到对应的环境。你的系统环境还是虚拟环境。如果你安装到了系统环境,然后再虚拟环境中跑django的项目,当然是找不到psycopg2的。
    0 0 回复 举报
    • x1204604036 :2016十二月03号 13:52:00
      psycopg 我是安装在虚拟环境下,postsql视频里是直接点击安装的吧,东西我都又重装了一遍,结果还是一样。只有一个问题,我电脑是64位操作系统,postsql和Python,还有psycopg都是装的32位,请问这有影响吗?
      0 0 回复 举报
      • 江湖中人 :2016十二月03号 14:38:17
        虚拟环境下postsql怎么还是点击安装啊?直接点击安装当然是安装到系统环境里面啊。
        0 0 回复 举报
        • x1204604036 :2016十二月03号 16:05:11
          可是如果在cmd命令行虚拟环境下easy_install或者pip install 数据库postgresql的话则显示不能安装,好像是没有匹配的分配给它
          0 0 回复 举报

需要登录以后才能进行刚才的操作

  • 刚才的操作,需要登录以后才能继续,如果已经有账号,请点击登录,登录以后,会自动返回到当前页面进行刚才的操作。如果还没有账号,请点击注册。